Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.plotLayer
Class GLOBETempData

    java.lang.Object
      com.bbn.openmap.layer.plotLayer.GLOBEData
          com.bbn.openmap.layer.plotLayer.GLOBETempData

public class GLOBETempData
extends GLOBEData

Field Summary
`float` | `overall_max_temp_`
`float` | `overall_max_year_`
`float` | `overall_min_temp_`
`float` | `overall_min_year_`

Constructor Summary
`GLOBETempData()`

Method Summary
`java.util.Enumeration` | `getAllSites()`
`protected void` | `parseDataFromStream(java.lang.String line)`

Methods inherited from class com.bbn.openmap.layer.plotLayer.GLOBEData
`loadData, readDataFromStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### overall_min_year_

    public float overall_min_year_

### overall_max_year_

    public float overall_max_year_

### overall_min_temp_

    public float overall_min_temp_

### overall_max_temp_

    public float overall_max_temp_

Constructor Detail

### GLOBETempData

    public GLOBETempData()

Method Detail

### parseDataFromStream

    protected void parseDataFromStream(java.lang.String line)

  Specified by:
    `parseDataFromStream` in class `GLOBEData`

### getAllSites

    public java.util.Enumeration getAllSites()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details